/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16215 Alton Parkway
*             P.O. Box 57013
*             Irvine, California 92619-7013
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: ParseLibMain.c
*
****************************************************************************
*    Description:
*
*       run time initialization for printf
*
****************************************************************************/

#include "ParseLibMain.h"

/* printf is defaulted to OFF */

int gprintFlag;

/*
*****************************************************************************
** FUNCTION:    krbParseLibInit
**
** PURPOSE:     activate or de-activate printf
**
** PARAMETERS:  prtFlag - in: printf is disabled if 0
**
** RETURNS:     none
**
*****************************************************************************
*/
void krbParseLibInit(int prtFlag)
{
   gprintFlag = prtFlag;
   Init_prng();
}
