/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: krbbuf.h
*    Creation Date: 23 Nov. 2000 (v0.00)
*    VSS Info:
*        $Revision: 1.2 $
*        $Date: 2005/02/17 21:13:18 $
*
****************************************************************************
*    Description:
*
*      This file contains the public definitions for keberos buffer management
*
****************************************************************************/

#ifndef KRBBUF_H
#define KRBBUF_H

/*
*****************************************************************************
** TYPE DEFINITIONS and CONSTANTS
*****************************************************************************
*/
#define krbmaxbuflen_xlarge 	5120
#define krbmaxbuflen_large 	    2560
#define krbmaxbuflen_medium 	512
#define krbmaxbuflen_small 	    128

/*
*****************************************************************************
** EXPORTS
*****************************************************************************
*/
#if defined(__cplusplus)
extern "C"
{
#endif

#include <ChKerbNamespace.h>

extern char *krbAllocBuf(unsigned long ksize);
extern char *krbReallocBuf(char *inbuf, unsigned long oldsize, unsigned long ksize);
extern char *krbCallocBuf(unsigned long asize, unsigned long ksize);
extern void krbFreeBuf(char *buf);
extern void krbInitBufs(void);

#if defined(__cplusplus)
}
#endif 

#endif
