/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: bcmos.h
*    Creation Date: 8 June 2000 (v0.00)
*    VSS Info:
*        $Revision: 1.1 $
*        $Date: 2002/08/21 17:54:34 $
*
****************************************************************************
*    Description:
*
*      Broadcom Generic Operating System Functions.
*
****************************************************************************/

#ifndef _TRC_H
#define _TRC_H

#ifdef __cplusplus
extern "C" {
#endif

//#include <hausenv.h>
//#include <bcmosCfg.h>


/* BCMOS API return codes */
typedef enum
{
   OS_STATUS_OK = 0,
   OS_STATUS_TIMEOUT,
   OS_STATUS_ERR,

   /* Insert new status codes here */

   /* Application level return codes for modules which "inherit" from the BCMOS */
   OS_STATUS_APPLEVEL1,
   OS_STATUS_APPLEVEL2,
   OS_STATUS_APPLEVEL3,
   OS_STATUS_APPLEVEL4,

   OS_STATUS_MAX
} OS_STATUS;



#ifdef __cplusplus
    }
#endif

#endif  /* _BCMOS_H  */


